Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class SVGOMUseShadowRoot

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractParentNode
              org.apache.batik.dom.AbstractDocumentFragment
                  org.apache.batik.dom.svg.SVGOMUseShadowRoot

All Implemented Interfaces:
  Serializable, CSSNavigableNode, NodeEventTarget, ExtendedNode, IdContainer, NodeXBL, XBLManagerData, DocumentFragment, EventTarget, Node

    public class SVGOMUseShadowRoot

extends AbstractDocumentFragment
implements CSSNavigableNode, IdContainer

This class implements `DocumentFragment` interface. It is used to implement the SVG use element behavioUr.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.dom.AbstractParentNode
`AbstractParentNode.ChildNodes, AbstractParentNode.ElementsByTagName, AbstractParentNode.ElementsByTagNameNS`

Field Summary
`protected Element` | `cssParentElement` The parent CSS element.
`protected boolean` | `isLocal` Indicates if the imported css element is from this document.

Fields inherited from class org.apache.batik.dom.AbstractParentNode
`childNodes`

Fields inherited from class org.apache.batik.dom.AbstractNode
`DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, EMPTY_NODE_LIST, eventSupport, managerData, ownerDocument, userData, userDataHandlers`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` | `SVGOMUseShadowRoot()` Creates a new DocumentFragment object.
`` | `SVGOMUseShadowRoot(AbstractDocument owner, Element parent, boolean isLocal)` Creates a new DocumentFragment object.

Method Summary
`Node` | `getCSSFirstChild()` Returns the CSS first child node of this node.
`Node` | `getCSSLastChild()` Returns the CSS last child of this node.
`Node` | `getCSSNextSibling()` Returns the CSS next sibling node of this node.
`Node` | `getCSSParentNode()` Returns the CSS parent node of this node.
`Node` | `getCSSPreviousSibling()` Returns the CSS previous sibling node of this node.
`Element` | `getElementById(String id)` Returns the element with the given ID that exists in this subtree.
`NodeEventTarget` | `getParentNodeEventTarget()` Implements `NodeEventTarget.getParentNodeEventTarget()`.
`boolean` | `isHiddenFromSelectors()` Returns whether this node is the root of a (conceptual) hidden tree that selectors will not work across.
`boolean` | `isReadonly()` Tests whether this node is readonly.
`protected Node` | `newNode()` Returns a new uninitialized instance of this object's class.
`void` | `setReadonly(boolean v)` Sets this node readonly attribute.

Methods inherited from class org.apache.batik.dom.AbstractDocumentFragment
`checkChildType, getNodeName, getNodeType`

Methods inherited from class org.apache.batik.dom.AbstractParentNode
`appendChild, checkAndRemove, deepCopyInto, deepExport, fireDOMNodeInsertedEvent, fireDOMNodeInsertedIntoDocumentEvent, fireDOMNodeRemovedEvent, fireDOMNodeRemovedFromDocumentEvent, fireDOMSubtreeModifiedEvent, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getFirstChild, getLastChild, getTextContent, hasChildNodes, insertBefore, nodeAdded, nodeToBeRemoved, normalize, removeChild, replaceChild`

Methods inherited from class org.apache.batik.dom.AbstractNode
`addEventListener, addEventListenerNS, cloneNode, compareDocumentPosition, compareNamedNodeMaps, compareStrings, copyInto, createDOMException, dispatchEvent, export, fireDOMCharacterDataModifiedEvent, fireUserDataHandlers, getAttributes, getBaseURI, getBaseURI, getCascadedXMLBase, getCurrentDocument, getEventSupport, getFeature, getLocalName, getManagerData, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getUserData, getXblBoundElement, getXblChildNodes, getXblDefinitions, getXblFirstChild, getXblFirstElementChild, getXblLastChild, getXblLastElementChild, getXblNextElementSibling, getXblNextSibling, getXblParentNode, getXblPreviousElementSibling, getXblPreviousSibling, getXblScopedChildNodes, getXblShadowTree, hasAttributes, hasEventListenerNS, initializeEventSupport, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, lookupPrefix, removeEventListener, removeEventListenerNS, setManagerData, setNextSibling, setNodeName, setNodeValue, setOwnerDocument, setParentNode, setPrefix, setPreviousSibling, setSpecified, setTextContent, setUserData, willTriggerNS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Field Detail

### cssParentElement

    protected Element cssParentElement

  The parent CSS element.

### isLocal

    protected boolean isLocal

  Indicates if the imported css element is from this document.

Constructor Detail

### SVGOMUseShadowRoot

    protected SVGOMUseShadowRoot()

  Creates a new DocumentFragment object.

### SVGOMUseShadowRoot

    public SVGOMUseShadowRoot(AbstractDocument owner,
                              Element parent,
                              boolean isLocal)

  Creates a new DocumentFragment object.

Method Detail

### isReadonly

    public boolean isReadonly()

  Tests whether this node is readonly.

  Specified by:
    `isReadonly` in interface `ExtendedNode`

### setReadonly

    public void setReadonly(boolean v)

  Sets this node readonly attribute.

  Specified by:
    `setReadonly` in interface `ExtendedNode`

### getElementById

    public Element getElementById(String id)

  Description copied from interface: `IdContainer`
  Returns the element with the given ID that exists in this subtree.

  Specified by:
    `getElementById` in interface `IdContainer`

### getCSSParentNode

    public Node getCSSParentNode()

  Returns the CSS parent node of this node.

  Specified by:
    `getCSSParentNode` in interface `CSSNavigableNode`

### getCSSPreviousSibling

    public Node getCSSPreviousSibling()

  Returns the CSS previous sibling node of this node.

  Specified by:
    `getCSSPreviousSibling` in interface `CSSNavigableNode`

### getCSSNextSibling

    public Node getCSSNextSibling()

  Returns the CSS next sibling node of this node.

  Specified by:
    `getCSSNextSibling` in interface `CSSNavigableNode`

### getCSSFirstChild

    public Node getCSSFirstChild()

  Returns the CSS first child node of this node.

  Specified by:
    `getCSSFirstChild` in interface `CSSNavigableNode`

### getCSSLastChild

    public Node getCSSLastChild()

  Returns the CSS last child of this node.

  Specified by:
    `getCSSLastChild` in interface `CSSNavigableNode`

### isHiddenFromSelectors

    public boolean isHiddenFromSelectors()

  Returns whether this node is the root of a (conceptual) hidden tree that selectors will not work across.

  Specified by:
    `isHiddenFromSelectors` in interface `CSSNavigableNode`

### getParentNodeEventTarget

    public NodeEventTarget getParentNodeEventTarget()

  Implements `NodeEventTarget.getParentNodeEventTarget()`.

  Specified by:
    `getParentNodeEventTarget` in interface `NodeEventTarget`
  Overrides:
    `getParentNodeEventTarget` in class `AbstractNode`

### newNode

    protected Node newNode()

  Returns a new uninitialized instance of this object's class.

  Specified by:
    `newNode` in class `AbstractNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.